Erreur au lancement de draftSight "Inconsistency detected by ld.so: ../elf/dl-tls.c: 73:..."


#1

Bonjour,
Pour commencer voici ma configuration :

Modèle cpu : Intel(R) Core(TM) i7-4790 CPU @ 3.60GHz
Linux obelix2 4.18.0-3-amd64 #1 SMP Debian 4.18.20-2 (2018-11-23) x86_64 GNU/Linux
buster/sid
Vidéo : VGA compatible controller [0300]: NVIDIA Corporation GM107GL [Quadro K620]
Version du logiciel de DAO : draftSight V 2018.3.0.4215

Mon souci :
Suite à ma dernière mise à jour système le logiciel draftSight de chez Dassault qui fonctionnait parfaitement auparavant s’ouvre et se ferme subitement.

Pour tracer le pb, j’ai lancé dans un terminal la commande suivante :

strace /opt/dassault-systemes/DraftSight/Linux/DraftSight

Ce qui m’a donné les informations suivantes :

...
openat(AT_FDCWD, "/opt/dassault-systemes/DraftSight/Linux/../Libraries/libpixman-1.so.0", O_RDONLY|O_CLOEXEC) = 87
read(87, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320\244\0\0\0\0\0\0"..., 832) = 832
fstat(87, {st_mode=S_IFREG|0644, st_size=677904, ...}) = 0
writev(2, [{iov_base="Inconsistency detected by ld.so:"..., iov_len=33}, {iov_base="../elf/dl-tls.c", iov_len=15}, {iov_base=": ", iov_len=2}, {iov_base="73", iov_len=2}, {iov_base=": ", iov_len=2}, {iov_base="_dl_next_tls_modid", iov_len=18}, {iov_base=": ", iov_len=2}, {iov_base="Assertion `", iov_len=11}, {iov_base="result <= GL(dl_tls_max_dtv_idx)"..., iov_len=36}, {iov_base="' failed!\n", iov_len=10}], 10Inconsistency detected by ld.so: ../elf/dl-tls.c: 73: _dl_next_tls_modid: Assertion `result <= GL(dl_tls_max_dtv_idx) + 1' failed!) = 131
exit_group(127)                         = ?
+++ exited with 127 +++

Ne trouvant pas de solution à mon pb j’ai désinstallé la version 2018.2.0.3102 de draftSight posant souci et réinstallé la dernière version à savoir la 2018.3.0.4215, mais sans plus de succès.

Si vous aviez des pistes à me suggérer,

Par avance merci.
Cordialement


#2

salut
peut être vérifier que toutes les lib nécessaires au programme sont bien là.
Quelque chose comme

ldd /opt/dassault-systemes/DraftSight/Linux/DraftSight


#3

Merci déjà pour cette piste, mais comment puis je savoir si il m’en manque ???
J’ai lancer ta commande qui m’a renvoyé une très grande liste de lib que voici mais dans laquelle rien ne semble m’indiquer qu’il m’en manquerait :

linux-vdso.so.1 (0x00007ffc0e385000)
libTD_Db.so => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libTD_Db.so (0x00007f27845a9000)
libTD_DbRoot.so => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libTD_DbRoot.so (0x00007f2784310000)
libTD_Gs.so => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libTD_Gs.so (0x00007f2783ea7000)
libTD_Gi.so => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libTD_Gi.so (0x00007f278393f000)
libTD_Ge.so => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libTD_Ge.so (0x00007f2783470000)
libTD_Root.so => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libTD_Root.so (0x00007f2783129000)
libTD_Alloc.so => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libTD_Alloc.so (0x00007f2782f24000)
libAecGeometry.so => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libAecGeometry.so (0x00007f2782b6f000)
libFXExport.so.1 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libFXExport.so.1 (0x00007f27827a0000)
libFXRenderBase.so.1 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libFXRenderBase.so.1 (0x00007f27821bb000)
libFXCommandsBase.so.1 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libFXCommandsBase.so.1 (0x00007f278145b000)
libFxFileDialogs.so.1 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libFxFileDialogs.so.1 (0x00007f278123e000)
libDDKERNEL.so.1 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libDDKERNEL.so.1 (0x00007f2780a20000)
libFxImages.so.1 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libFxImages.so.1 (0x00007f2780811000)
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f27807ec000)
libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007f27806ab000)
libFXCrashRpt.so.1 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libFXCrashRpt.so.1 (0x00007f2780484000)
libFXLISP.so.1 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libFXLISP.so.1 (0x00007f27801f3000)
libQt5Widgets.so.5 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libQt5Widgets.so.5 (0x00007f277fb6e000)
libQt5X11Extras.so.5 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libQt5X11Extras.so.5 (0x00007f277fb69000)
libQt5Gui.so.5 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libQt5Gui.so.5 (0x00007f277f5ad000)
libQt5Network.so.5 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libQt5Network.so.5 (0x00007f277f453000)
libQt5Xml.so.5 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libQt5Xml.so.5 (0x00007f277f416000)
libQt5Core.so.5 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libQt5Core.so.5 (0x00007f277eec8000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f277eea5000)
libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f277ed22000)
libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f277eb8e000)
libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f277eb74000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f277e9b7000)
libTD_SpatialIndex.so => /opt/dassault-systemes/DraftSight/Linux/../Libraries/../Libraries/libTD_SpatialIndex.so (0x00007f277e7a5000)
libsisl.so => /opt/dassault-systemes/DraftSight/Linux/../Libraries/../Libraries/libsisl.so (0x00007f277e421000)
libTD_Dwf7Export.so => /opt/dassault-systemes/DraftSight/Linux/../Libraries/../Libraries/libTD_Dwf7Export.so (0x00007f277e172000)
libcups.so.2 => /usr/lib/x86_64-linux-gnu/libcups.so.2 (0x00007f277e0df000)
libQt5PrintSupport.so.5 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/../Libraries/libQt5PrintSupport.so.5 (0x00007f277e071000)
libQt5Svg.so.5 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/../Libraries/libQt5Svg.so.5 (0x00007f277e018000)
libTD_Br.so => /opt/dassault-systemes/DraftSight/Linux/../Libraries/../Libraries/libTD_Br.so (0x00007f277dde8000)
libQt5OpenGL.so.5 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/../Libraries/libQt5OpenGL.so.5 (0x00007f277dd8f000)
libGL.so.1 => /usr/lib/x86_64-linux-gnu/libGL.so.1 (0x00007f277dcfb000)
libfontconfig.so.1 => /usr/lib/x86_64-linux-gnu/libfontconfig.so.1 (0x00007f277dcb5000)
/lib64/ld-linux-x86-64.so.2 (0x00007f2785c85000)
libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007f277dc89000)
libgobject-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0 (0x00007f277dc35000)
libglib-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007f277db18000)
libicui18n.so.52 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libicui18n.so.52 (0x00007f277d711000)
libicuuc.so.52 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libicuuc.so.52 (0x00007f277d398000)
librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f277d38c000)
libDwfToolkit.so => /opt/dassault-systemes/DraftSight/Linux/../Libraries/../Libraries/../Libraries/libDwfToolkit.so (0x00007f277cc60000)
libW3dTk.so => /opt/dassault-systemes/DraftSight/Linux/../Libraries/../Libraries/../Libraries/libW3dTk.so (0x00007f277c904000)
libWhipTk.so => /opt/dassault-systemes/DraftSight/Linux/../Libraries/../Libraries/../Libraries/libWhipTk.so (0x00007f277c605000)
libDwfCore.so => /opt/dassault-systemes/DraftSight/Linux/../Libraries/../Libraries/../Libraries/libDwfCore.so (0x00007f277c2c1000)
libgssapi_krb5.so.2 => /usr/lib/x86_64-linux-gnu/libgssapi_krb5.so.2 (0x00007f277c272000)
libgnutls.so.30 => /usr/lib/x86_64-linux-gnu/libgnutls.so.30 (0x00007f277c104000)
libavahi-common.so.3 => /usr/lib/x86_64-linux-gnu/libavahi-common.so.3 (0x00007f277c0f6000)
libavahi-client.so.3 => /usr/lib/x86_64-linux-gnu/libavahi-client.so.3 (0x00007f277c0e3000)
libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f277bec5000)
libGLX.so.0 => /usr/lib/x86_64-linux-gnu/libGLX.so.0 (0x00007f277be8f000)
libGLdispatch.so.0 => /usr/lib/x86_64-linux-gnu/libGLdispatch.so.0 (0x00007f277bdd2000)
libfreetype.so.6 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/../Libraries/libfreetype.so.6 (0x00007f277bb2f000)
libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1 (0x00007f277baf2000)
libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007f277bae9000)
libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007f277b8e5000)
libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007f277b6dd000)
libffi.so.6 => /usr/lib/x86_64-linux-gnu/libffi.so.6 (0x00007f277b6d3000)
libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007f277b65f000)
libicudata.so.52 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/libicudata.so.52 (0x00007f2779df2000)
libkrb5.so.3 => /usr/lib/x86_64-linux-gnu/libkrb5.so.3 (0x00007f2779d15000)
libk5crypto.so.3 => /usr/lib/x86_64-linux-gnu/libk5crypto.so.3 (0x00007f2779cdf000)
libcom_err.so.2 => /lib/x86_64-linux-gnu/libcom_err.so.2 (0x00007f2779cd9000)
libkrb5support.so.0 => /usr/lib/x86_64-linux-gnu/libkrb5support.so.0 (0x00007f2779ccb000)
libkeyutils.so.1 => /lib/x86_64-linux-gnu/libkeyutils.so.1 (0x00007f2779cc5000)
libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007f2779cac000)
libp11-kit.so.0 => /usr/lib/x86_64-linux-gnu/libp11-kit.so.0 (0x00007f2779b7d000)
libidn2.so.0 => /usr/lib/x86_64-linux-gnu/libidn2.so.0 (0x00007f2779b5c000)
libunistring.so.2 => /usr/lib/x86_64-linux-gnu/libunistring.so.2 (0x00007f27799d8000)
libtasn1.so.6 => /usr/lib/x86_64-linux-gnu/libtasn1.so.6 (0x00007f27797c5000)
libnettle.so.6 => /usr/lib/x86_64-linux-gnu/libnettle.so.6 (0x00007f277958e000)
libhogweed.so.4 => /usr/lib/x86_64-linux-gnu/libhogweed.so.4 (0x00007f2779358000)
libgmp.so.10 => /usr/lib/x86_64-linux-gnu/libgmp.so.10 (0x00007f27790d4000)
libdbus-1.so.3 => /lib/x86_64-linux-gnu/libdbus-1.so.3 (0x00007f277907f000)
libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007f2778e6d000)
libpng12.so.0 => /opt/dassault-systemes/DraftSight/Linux/../Libraries/../Libraries/libpng12.so.0 (0x00007f2778c47000)
libbsd.so.0 => /lib/x86_64-linux-gnu/libbsd.so.0 (0x00007f2778a30000)
libsystemd.so.0 => /lib/x86_64-linux-gnu/libsystemd.so.0 (0x00007f27789a4000)
liblzma.so.5 => /lib/x86_64-linux-gnu/liblzma.so.5 (0x00007f277877c000)
liblz4.so.1 => /usr/lib/x86_64-linux-gnu/liblz4.so.1 (0x00007f277855f000)
libgcrypt.so.20 => /lib/x86_64-linux-gnu/libgcrypt.so.20 (0x00007f2778441000)
libgpg-error.so.0 => /lib/x86_64-linux-gnu/libgpg-error.so.0 (0x00007f277841f000)

#4

s’il en manquait ça serait marqué en clair

l’erreur

Inconsistency detected by ld.so

cf https://manpages.debian.org/stretch/manpages-fr/ld.so.8.fr.html

Sur mon installation j’ai

cat /etc/ld.so.conf
include /etc/ld.so.conf.d/*.conf

ls -alrt  /etc/ld.so.conf.d/
total 36
-rw-r--r--   1 root root    44 août   9  2009 libc.conf
-rw-r--r--   1 root root    56 août  23  2016 zz_i386-biarch-compat.conf
-rw-r--r--   1 root root    38 janv. 17  2017 fakeroot-x86_64-linux-gnu.conf
-rw-r--r--   1 root root   100 déc.  16  2017 x86_64-linux-gnu.conf
-rw-r--r--   1 root root   168 déc.  16  2017 i386-linux-gnu.conf

je ne pourrai pas en dire plus, je ne maîtrise pas ça :grinning: je ne sais pas où est l’inconsistance dans ton cas


#5

Comme je n’ai rien constaté de tel on pourrait conclure que toutes les lib sont présentes.

Merci pour le lien que j’ai parcouru avec attention, mais je dois dire que ce n’est pas mon niveau et que à part la première ligne je n’ai rien compris. :disappointed_relieved:

Pour la lecture du fichier “ld.so.conf” j’ai la même chose
Par contre pour le contenu du dossier “ld.so.conf.d/” je n’ai que :

-rw-r--r--   1 root root    38 nov.  10  2017 fakeroot-x86_64-linux-gnu.conf
-rw-r--r--   1 root root    44 août   9  2009 libc.conf
-rw-r--r--   1 root root   100 déc.  16  2017 x86_64-linux-gnu.conf 

Je pense que c’est normal vu que nous n’avons pas les mêmes listes de paquets dans le “sources.list

En tout cas merci pour toutes réponses même si je n’ai pas encore pu résoudre mon pb.


#6

Il y a une assertion qui a retourné “échoué” = “failed” à un test à la ligne 73 du fichier /elf/dl-tls.c
À partir de ce point, normalement c’est un jeu de piste pour retrouver le fichier source en langage C, la ligne en question où l’assertion échoue et faire des recherches sur Internet avec ces éléments.

Tu pourrais déjà chercher :

Assertion `result <= GL(dl_tls_max_dtv_idx) + 1’ failed!)

#7

Ok et merci gilles2 pour tes pistes
Pb c’est que je n’arrive pas à localiser le fichier “dl-tls.c”. J’ai bien des dossiers “elf” mais aucun ne contiennent ce" fichier, j’en conclue que ma recherche ne doit pas être correcte avec un “locate

Pour ce qui est d’une recherche sur la toile avec une partie du message je n’ai rien trouvé de probant à par ceci qui y ressemble un peu mais qui ne m’apporte pas réellement de solution :
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=219352


#8

j’ai changé ma commande pour la recherche du fichier

find / -name "dl-tls.c" -print

recherche vide, aucun fichier trouvé donc pas plus qu’avec mon locate (après avoir fait un “updatedb”)

Il doit pourtant bien excister ce fichier puisqu’il semble y avoir un souci à la ligne 73

??? :smirk:


#9

Il faut attentivement étudier ce rapport de bug ( éventuellement l’imprimer et le lire au calme ordinateur éteint pour un maximum de concentration ) et examiner les hypothèses émises lors des échanges et essayer par analogie de voir si il serait pertinent de tester telle ou telle hypothèse.

J’en vois déjà une d’hypothèse à tester, mais il y en a sûrement d’autres : nous sommes passés récemment de 4.18.0-2 à 4.18.0-3, est-ce que ton logiciel est compatible avec ce nouveau noyau ?

Cela peut-être à voir avec la méthode d’installation du logiciel, les fichiers sources ont peut-être été supprimés par un script de post-installation.

Peux-tu nous décrire précisément comment tu as installé ton logiciel ?


#10

Bonjour
Pour ce qui est de la compatibilité du logiciel avec le noyau rein n’est précisé à ce sujet. Je me suis servi de ce lien afin de procéder à mon install :
https://doc.ubuntu-fr.org/draftsight

En fait l’installation est relativement simple on télécharge la version en ligne qui est en “.deb” puis on lance la commande classique :
sudo dpkg -i draftSight.deb

Durant toute l’installation rien ne s’affiche jusqu’à la fin où l’installeur rend la main. Donc difficile de voir si une erreur c’est glissée durant l’install.

Je vais procéder à une désinstallation puis une ré-install car à la fin de ma dernière install il m’a été demandé si je voulais récupérer les paramètres de ma toute première install, ce que j’ai accepté.
Cette fois je ne vais pas valider ce choix car en principe il est demander une activation que je n’ai pas eu d’où peut être ce souci. Donc je reviendrais pour dire si cela a changer quelque chose.


#11

Bon j’ai toujours le même souci après avoir désinstallé draftsight et supprimé tous les dossiers résiduels ainsi que d’avoir effectué un

dpkg --purge

Ce coup ci il m’a bien été demandé d’accepter l’activation du logiciel mais pas plus.
Je vais voir si sur le forum de draftsight ils peuvent me donner des pistes.
En attendant je continue et si vous avez des pistes je reste toujours preneur.
Merci


#12

Bonjour.
Je reviens vers ce forum car celui de draftsight semble endormi :face_with_raised_eyebrow:

Est il possible que mon fichier
dl-tls.c
soit créé à la volée, si je puis dire, et volatile ce qui pourrait expliquer que je ne puisse le localiser ?
Je ne trouve nulle par sur la toile des informations au sujet de ce fichier.
Qq1 peut il me confirmer cela ?
Cardialement.


#14

Je l’ai trouvé avec duckduckgo :

Apparemment cela doit gérer les téléchargements ( dl ) avec le protocole TLS ( dl-tls.c )

Peux-tu nous poster le résultat de :

# aptitude search linux-image

#15

Question : c’est quoi ton duckduckgo ?? :thinking: C’est du python ?

Voici ce que me donne la recherche sur linux-image :

i A linux-image-4.14.0-3-amd64                                                                    
i A linux-image-4.15.0-2-amd64                                                                    
i A linux-image-4.15.0-3-amd64  
i A linux-image-4.16.0-2-amd64  
i A linux-image-4.18.0-2-amd64  
i A linux-image-4.18.0-3-amd64  
i   linux-image-amd64

et d’autres qui ne sont pas installés.
Si besoin d’autres infos …


#16

Juste trois moteurs de recherche :
Duckduckgo :
duckduckgo.com

Searx-me
https://searx.me/

Startpage :
Startpage.com

Sais-tu démarrer avec un autre noyau que celui qui démarre par défaut par l’intermédiaire de grub ?


#17

Pour démarrer sur un autre noyau pas de soucis sauf que j’ai déjà rebooté sur 4 noyaux différent et j’ai toujours le même pb.
Mais je peux ré-essayer. Sur lequel veux tu que je redémarre ?


#18

J’ai relancé ma commande strace avec en // dans un autre terminal un

    `tail -f /var/log/syslog`

et j’ai eu ce message à chaque fermeture brutale du logiciel :

 `Window manager warning: Invalid WM_TRANSIENT_FOR window 0x2c00005 specified for 0x2c00007 (draftsight)`

J’ai commencé une recherche mais rien pour le moment.
Je commence par me demander si ce ne serait pas un pb de drivers vidéo car à chaque fois que j’ai un souci après une maj c’est toujours plus ou moins lié au driver NVIDIA.:thinking:
Je rechercher aussi de ce coté.
A suivre …


#19

Dans les dernières mises à jour, nous sommes passés du noyau linux-image-4.18.0-2-amd64 au noyau linux-image-4.18.0-3-amd64, c’est pourquoi je pense qu’il serait intéressant de tester l’hypothèse que ton logiciel pourrait mieux s’installer et fonctionner si tu utilisais le noyau précédent le noyau linux-image-4.18.0-2-amd64.


#20

Merci Gilles2 pour ton suivi.
Malheureusement j’avais déjà fait cette manip mais toujours sans succès car c’est suite à cette mise à jour que le pb est apparu, et malgré une réinstall cela n’a pas résolu le souci.
Je continu mais maj en espérant que cela résoudra mon pb mais sans grand espoir.
De plus pas moyen d’avoir des infos sur les forums de Draftsight. :persevere:
Il n’y a même pas un moyen de faire remonter cette info aux concepteur. Navrant.
C’est vraiment dommage car c’est un excellent logiciel. :disappointed_relieved:


#21

A force de lire plusieurs post en englais sur divers forums où il était indiqué de démarrer en mode administrateur j’ai fini par lancer ma commande strace en mode sudo.
Effectivement j’ai pu finaliser le tableau pour m’enregistrer et recevoir le mail de confirmation.
Sauf que j’ai toujours cette fermeture intempestive mais cette fois avec ce message d’erreur :

stat("/tmp/qipc_sharedmemory_DraftSightsharedmemory9768f194a3e00d988666a1fc693bb1dcf55e61fd", {st_mode=S_IFREG|0640, st_size=0, ...}) = 0
shmget(0x51000441, 384, IPC_CREAT|IPC_EXCL|0600) = 1114115
shmget(0x51000441, 0, 0600)             = 1114115
shmat(1114115, NULL, 0)                 = 0x7fbe50654000
shmctl(1114115, IPC_STAT, {shm_perm={uid=0, gid=0, mode=0600, key=1358955585, cuid=0, cgid=0}, shm_segsz=384, shm_cpid=1883, shm_lpid=1883, shm_nattch=1, shm_atime=1544453047, shm_dtime=1544453047, shm_ctime=1544453047}) = 0
semop(98305, [{0, 1, SEM_UNDO}], 1)     = 0
semop(98305, [{0, -1, SEM_UNDO}], 1)    = 0
semop(98305, [{0, 1, SEM_UNDO}], 1)     = 0
stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=2971, ...}) = 0
stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=2971, ...}) = 0
stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=2971, ...}) = 0
uname({sysname="Linux", nodename="obelix2", ...}) = 0
munmap(0x7fbddc6d4000, 129942)          = 0
futex(0x7fbe5957e270, FUTEX_WAKE_PRIVATE, 2147483647) = 0
--- SIGSEGV {si_signo=SIGSEGV, si_code=SEGV_MAPERR, si_addr=0x6f90} ---
+++ killed by SIGSEGV +++
Erreur de segmentation

Il me semble progresser mais c’est laborieux. :disappointed_relieved:

Si je ne démarre pas DS en sudo ce dernier se ferme sur cette fenêtre (voir fichier joint) sans que je n’ai le temps de valider
Capture%20d%E2%80%99%C3%A9cran%20de%202018-12-10%2016-06-11